OpenMM

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Pages
Public Member Functions | Public Attributes | List of all members
Residue Class Reference

A Residue object represents a residue within a Topology. More...

Inheritance diagram for Residue:

## Public Member Functions
def | __init__
| Construct a new Residue. More...
def | atoms
| Iterate over all Atoms in the Residue. More...
def | __len__

## Public Attributes
| name
| The name of the Residue. More...
| index
| The index of the Residue within its Topology. More...
| chain
| The Chain this Residue belongs to. More...
| id
| A user defined identifier for this Residue. More...

## Detailed Description

A Residue object represents a residue within a Topology.

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | name,
|  |  | index,
|  |  | chain,
|  |  | id
| ) |  |

Construct a new Residue.

You should call addResidue() on the Topology instead of calling this directly.

## Member Function Documentation

def __len__ | ( |  | self | ) |

References Residue._atoms.

def atoms | ( |  | self | ) |

Iterate over all Atoms in the Residue.

References Residue._atoms.

Referenced by ForceField.registerScript().

## Member Data Documentation

chain

The Chain this Residue belongs to.

id

A user defined identifier for this Residue.

index

The index of the Residue within its Topology.

Referenced by ForceField.registerScript().

name

The name of the Residue.

Referenced by Element.__repr__(), Element.__str__(), Modeller.addSolvent(), and ForceField.registerScript().

The documentation for this class was generated from the following file:

- topology.py